%global momorel 1

Summary: epeg
Name: epeg
Version: 0.9.1.042
Release: %{momorel}m%{?dist}
License: Modified BSD
Group: System Environment/Libraries
URL: http://www.enlightenment.org/
Source0: http://download.enlightenment.org/snapshots/2008-01-25//%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: libjpeg-devel
BuildPreReq: doxygen
BuildRequires: libjpeg-devel chrpath
Requires: libjpeg

%description
Epeg is insanely fast at loading large JPEG images and scaling them down to
tiny thumbnails. It's speedup will be proportional to the size difference
between the source image and the output thumbnail size as a count of their
pixels.

It makes use of libjpeg features of being able to load an image by only
decoding the DCT coefficients needed to reconstruct an image of the size
desired. This gives a massive speedup. If you do not try and access the pixels
in a format other than YUV (or GRAY8 if the source is grascale) then it also
avoids colorspace conversions as well.

%package devel
Summary: Epeg headers, static libraries, documentation and test programs
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires:       libjpeg-devel pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make
./gendoc
find doc -name CVS |xargs %__rm -rf

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/%{name}
find $RPM_BUILD_ROOT -name '*.la' -delete

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-PLAIN README
%{_bindir}/%{name}
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.1.042-1m)
- merge from T4R
-
- changelog is below
- * Tue Mar 25 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- - (0.9.1.042-1m)
- - update to 0.9.1.042

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.0.007-0.20061222.3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0.007-0.20061222.2m)
- %%NoSource -> NoSource

* Mon Jan  1 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.0.007-0.20061222.1m)
- version 0.9.0.007-20061222

* Sat Dec 10 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.0.004-0.20051209.1m)
- version 0.9.0.004-20051209

* Tue Jun 28 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.0.003-0.20050627.1m)
- version 0.9.0.003-20050627

* Thu Feb 17 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.9.0-0.20050215-2m)
- add %%defattr.

* Thu Feb 17 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.0-0.20050215-1m)
- version 0.9.9-0.20050215

* Mon Jan 24 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.9.0-0.20041218-2m)
- enable x86_64.

* Tue Dec 21 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.0-0.20041218-1m)
- first import to Momonga

* Wed Oct 29 2003 The Rasterman <raster@rasterman.com>
- Created spec file
